<?php // этот модуль необходимо делать тольео для крупных проектов, для небольшых описание пунктов меню и файлов меню лучше делать в init.php
$__functions['init'][]      ='_mine_admin_vars' ;
$__functions['boot_admin'][] ='_mine_admin_boot' ;
//$__functions['alert'][]   ='_mine_admin_alert' ;
$__functions['install'][]	='_mine_install_modul' ;



function _mine_admin_vars() //
{   //-----------------------------------------------------------------------------------------------------------------------------
	// описание переменных модуля
	//-----------------------------------------------------------------------------------------------------------------------------
	//-----------------------------------------------------------------------------------------------------------------------------
	// описание классов модуля
	//-----------------------------------------------------------------------------------------------------------------------------

    $_SESSION['descr_clss'][266]['name']='Проверка в РМЛ' ;
    $_SESSION['descr_clss'][266]['parent']=0 ;
    $_SESSION['descr_clss'][266]['fields']['account_id']=array('type'=>'int(11)') ; // дежурный аккаунт на РМЛ
    $_SESSION['descr_clss'][266]['fields']['personal_id']=array('type'=>'int(11)') ;  // шахтер
    $_SESSION['descr_clss'][266]['fields']['obj_name']=array('type'=>'varchar(32)') ; // номер приложенного пропуска
    $_SESSION['descr_clss'][266]['fields']['group_id']=array('type'=>'int(11)') ; // группа
    $_SESSION['descr_clss'][266]['fields']['mo_id']=array('type'=>'int(11)') ;
    $_SESSION['descr_clss'][266]['fields']['result']=array('type'=>'int(11)') ;
    $_SESSION['descr_clss'][266]['index']['account_id']='account_id' ;
    $_SESSION['descr_clss'][266]['index']['personal_id']='personal_id' ;
    $_SESSION['descr_clss'][266]['index']['mo_id']='mo_id' ;
    $_SESSION['descr_clss'][266]['index']['result']='result' ;

    $_SESSION['descr_clss'][267]['name']='Выданные лампы' ;
    $_SESSION['descr_clss'][267]['parent']=0 ;
    $_SESSION['descr_clss'][267]['fields']['account_id']=array('type'=>'int(11)') ; // дежурный аккаунт на РМЛ
    $_SESSION['descr_clss'][267]['fields']['personal_id']=array('type'=>'int(11)') ;  // шахтер
    $_SESSION['descr_clss'][267]['fields']['group_id']=array('type'=>'int(11)') ; // группа
    $_SESSION['descr_clss'][267]['fields']['event_type']=array('type'=>'int(1)') ; // Тип действия
    $_SESSION['descr_clss'][267]['fields']['lamp_id']=array('type'=>'int(11)') ; // Тип действия
    $_SESSION['descr_clss'][267]['fields']['mo_id']=array('type'=>'int(11)') ;
    $_SESSION['descr_clss'][267]['index']['account_id']='account_id' ;
    $_SESSION['descr_clss'][267]['index']['personal_id']='personal_id' ;
    $_SESSION['descr_clss'][267]['index']['event_type']='event_type' ;
    $_SESSION['descr_clss'][267]['index']['lamp_id']='lamp_id' ;
    $_SESSION['descr_clss'][267]['index']['mo_id']='mo_id' ;

    $_SESSION['descr_clss'][268]['name']='Лампы' ;
    $_SESSION['descr_clss'][268]['parent']=0 ;
    $_SESSION['descr_clss'][268]['fields']['group_id']=array('type'=>'int(11)') ; // группа
    $_SESSION['descr_clss'][268]['fields']['obj_name']=array('type'=>'varchar(32)') ; // Номер лампы
    $_SESSION['descr_clss'][268]['fields']['status']=array('type'=>'int(1)','default'=>0) ; // статус лампы
    $_SESSION['descr_clss'][268]['fields']['last_event_id']=array('type'=>'int(11)') ;
    $_SESSION['descr_clss'][268]['index']['group_id']='group_id' ;
    $_SESSION['descr_clss'][268]['index']['obj_name']='obj_name' ;
    $_SESSION['descr_clss'][268]['index']['status']='status' ;
    $_SESSION['descr_clss'][268]['index']['last_event_id']='last_event_id' ;

    $_SESSION['descr_clss'][211]['fields']['lamp_not_give']=array('type'=>'int(1)','default'=>0);

}

function _mine_admin_boot($options)
{
    create_system_modul_obj('mine',$options) ;

}


function _mine_install_modul($DOT_root)
{   SETUP()->reg_rol(8,'Ламповщик','/cab/rml/') ;         //

    SETUP()->reg_report('Ламповая','aspmo_rml/report_lamp_events.php') ;
    SETUP()->reg_report('Ламповая','aspmo_rml/report_lamp_in_hand.php') ;

    $pattern=array() ;
    $pattern['table_title']		        = 	'Допуск ламповая' ;
    $pattern['use_clss']		        = 	'266' ;
    $pattern['table_name']				= 	'obj_site_rml_checks' ;
    $pattern['table_clss']				= 	101 ;
    $pattern['table_parent']			= 	$DOT_root;
    create_table_by_pattern($pattern) ;

    $pattern=array() ;
    $pattern['table_title']		        = 	'Выдача ламп' ;
    $pattern['use_clss']		        = 	'267' ;
    $pattern['table_name']				= 	'obj_site_rml_lamp_events' ;
    $pattern['table_clss']				= 	101 ;
    $pattern['table_parent']			= 	$DOT_root;
    create_table_by_pattern($pattern) ;

    $pattern=array() ;
    $pattern['table_title']		        = 	'Лампы' ;
    $pattern['use_clss']		        = 	'268' ;
    $pattern['table_name']				= 	'obj_site_rml_lamp' ;
    $pattern['table_clss']				= 	101 ;
    $pattern['table_parent']			= 	$DOT_root;
    create_table_by_pattern($pattern) ;


    $id_sect=SETUP_add_section_to_site_setting('Ламповая') ;
    SETUP_add_rec_to_site_setting($id_sect,"Включить учет ламп в РМЛ",0,'LS_lamp_counting',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Длина пропуска для автоматического считывания",8,'LS_pass_for_lamp_lenght') ;
    SETUP_add_rec_to_site_setting($id_sect,"Максимальная ширина отображения фото сотрудника, px:",400,'LS_lamp_photo_width') ;
    SETUP_add_rec_to_site_setting($id_sect,"Включить поиск лампы в поле ввода номера пропуска",0,'LS_lamp_search_pass_as_lamp',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Максимальная длина пропуска для поиска как номер лампы",4,'LS_max_lamp_length') ;
    SETUP_add_rec_to_site_setting($id_sect,"Время отображения ошибки пропуска",4,'LS_view_lamp_pass_error_message_time',array('human'=>'sec')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Возможность не выдавать лампу сотруднику",0,'LS_lamp_not_give_away',array('el'=>'checkbox','descr'=>'Учитывается если включен учет ламп')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Включить автоматический прием лампы",0,'LS_lamp_auto_accept',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Таймаут автоматического приема лампы",2,'LS_lamp_auto_accept_time',array('human'=>'sec')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Воспроизводить звук если не пройден МО",1,'LS_lamp_enable_sound',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Отображать текущее время в интерфейсе",1,'LS_lamp_time_show',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Отображать кнопку быстрой сдачи лампы в списке выданных ламп на РМЛ",0,'LS_lamp_show_accept_button_rml',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Включить автоматическое выделение текста в поле ввода номера лампы на РМЛ",1,'LS_lamp_auto_select_lamp_number',array('el'=>'checkbox')) ;

}




?>